const express = require('express');
const router = express.Router();

const tripUpdatesOddRoutes = require('../service/trip-updates-odd-routes');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
    try {
      res.json(await tripUpdatesOddRoutes.get(req.query.day));
  } catch (err) {
      console.error(`Error while getting trip updates with odd routes, msg: `, err.message);
      res.status(err.statusCode || 500).json(utils.MSGS.error);
  }
});

module.exports = router;
