require('dotenv').config();

const db = require('./db');

/**
 * Get trips with odd routes
 *
 * @return Array of trips
 */
async function get(day = '2024-01-31') {

    const schema = process.env.DB_SCHEMA || 'schema';

    const tomorrow = new Date(day);
    tomorrow.setUTCDate(tomorrow.getUTCDate() + 1);

    const query = `SELECT pdts.trip_trip_id, pdts.trip_route_id, pdts.timestamp_pgsql FROM `
	  + schema
	  + `.trip_updates AS pdts LEFT JOIN `
	  + schema
	  + `.vw_join_gncy_rts_trps_srvcs AS trps ON pdts.trip_trip_id = trps.trip_id WHERE trps.trip_id IS NULL AND timestamp_pgsql >= '${day}' AND timestamp_pgsql < '`
	  + tomorrow.toISOString().substring(0, 10)
	  + `' ORDER BY pdts.trip_trip_id ASC;`

    return await db.query(query);
};
      
module.exports = {
    get
};
